#ifndef _I2C_H
#define _I2C_H

#define STA	0x20
#define SIC	0x08
#define SI	0x08
#define STO	0x10
#define STAC 0x20
#define AA	0x04

#define PCF8574ADD 0x40
#define EEPROM0ADD 0xa0
#define DAC7571ADD 0x98
#define R 1// Read< Bit +1

// STOP Makro
#define STOPI2C		I2C_I2CONCLR = SIC; I2C_I2CONSET=STO; while((I2C_I2CONSET&STO));

void i2c_init(void);
//static void wait_for_SI(void);
int i2c_start(int addr);
int i2c_write(unsigned char data);
int i2c_read(void);
int i2c_readlast(void);
void i2c_stop(void);

#endif
